Bug 1415380 - Cannot use color emoji
Summary: Cannot use color emoji
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cairo
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-21 11:27 UTC by Yajo
Modified: 2017-09-04 16:17 UTC (History)
3 users (show)

Fixed In Version: cairo-1.15.8-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-04 16:17:01 UTC


Attachments (Terms of Use)

Description Yajo 2017-01-21 11:27:58 UTC
Description of problem:
No app recognizes the color emoji

Version-Release number of selected component (if applicable):
google-noto-emoji-fonts-20160406-5.fc25.noarch

How reproducible:
Always

Steps to Reproduce:
1. Copy this emoji: (blush) 😊
2. Open any app (terminal, LibreOffice writer, gnome shell overview search...)
3. Paste it there.

Actual results:
You see a black and white version.

Expected results:
Color version.

Additional info:
Firefox 50+ ships with a color emoji font by default [1], so it's not a good one to do tests. I checked that sometimes it uses the installed B&W one, and sometimes its bundled & colorful one.

[1]: https://bugzilla.mozilla.org/show_bug.cgi?id=1280698

Comment 1 Peng Wu 2017-01-22 01:19:03 UTC
Sorry, this need to be fixed in cairo and other applications, not the font.

Comment 2 Fedora Update System 2017-08-31 11:14:05 UTC
cairo-1.15.8-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-325d63569d

Comment 3 Fedora Update System 2017-09-01 04:22:42 UTC
cairo-1.15.8-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-325d63569d

Comment 4 Fedora Update System 2017-09-04 16:17:01 UTC
cairo-1.15.8-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.